Bug 1548001 - qemu-system-ppc64 Could not find keytab file: /etc/qemu/krb5.tab
Summary: qemu-system-ppc64 Could not find keytab file: /etc/qemu/krb5.tab
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 27
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-02-22 14:01 UTC by Menanteau Guy
Modified: 2018-11-30 20:01 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 20:01:37 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2018-02-22 14:01:37 UTC
Description of problem:
After I did an update of my f27 machine I got new error messages from qemu.
When boot guest with qemu-system-ppc64 on f27 arch ppc64le, There are the following messages in journalctl:
qemu-system-ppc64[13307]: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
qemu-system-ppc64[13307]: gssapiv2_client_plug_init() failed in sasl_server_add_plugin(): generic failure
qemu-system-ppc64[13307]: _sasl_plugin_load failed on sasl_server_plug_init for plugin: gssapiv2

Version-Release number of selected component (if applicable):
$uname -r
4.15.3-300.fc27.ppc64le
$dnf list qemu
Last metadata expiration check: 0:33:11 ago on Thu 22 Feb 2018 01:17:48 PM GMT.
Installed Packages
qemu.ppc64le                      2:2.10.1-2.fc27                       @updates

How reproducible:
100%

Steps to Reproduce:
run qemu command, here after is a sample command got from openqa failed machine:
/usr/bin/qemu-system-ppc64 -serial file:serial0 -soundhw ac97 -g 1024x768 -vga virtio -global isa-fdc.driveA= -m 4096 -machine usb=off -cpu host -netdev user,id=qanet0 -device virtio-net,netdev=qanet0,mac=52:54:00:12:34:56 -device virtio-scsi-pci,id=scsi0 -device virtio-blk,drive=hd1,serial=1 -drive file=raid/l1,cache=unsafe,if=none,id=hd1,format=qcow2 -drive media=cdrom,if=none,id=cd0,format=raw,file=/var/lib/openqa/share/factory/iso/Fedora-Server-netinst-ppc64le-Rawhide-20180220.n.0.iso -device scsi-cd,drive=cd0,bus=scsi0.0 -boot once=d,menu=on,splash-time=5000 -device nec-usb-xhci -device usb-tablet -device usb-kbd -smp 1 -enable-kvm -no-shutdown -vnc :92,share=force-shared -qmp unix:qmp_socket,server,nowait -monitor unix:hmp_socket,server,nowait -S -monitor telnet:127.0.0.1:20022,server,nowait

Comment 1 Daniel Berrange 2018-02-22 14:05:14 UTC
Those "error" messages should be harmless since you are not using SASL. 

They are caused because the QEMU VNC server calls  sasl_server_init() regardless of whether SASL auth is currently requested for VNC or not. We could look at fixing this to silence the messages.

Comment 2 Menanteau Guy 2018-02-22 14:13:46 UTC
ok thanks, yes will be better is there is no message then.

Comment 3 Ben Cotton 2018-11-27 16:55:29 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 20:01:37 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.